Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88134 - RFE: place #skip-networking in /etc/my.cnf for mysql to avoid security issue
Summary: RFE: place #skip-networking in /etc/my.cnf for mysql to avoid security issue
Keywords:
Status: CLOSED DUPLICATE of bug 88133
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-06 14:49 UTC by Bryce Nesbitt
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:52:30 UTC


Attachments (Terms of Use)

Description Bryce Nesbitt 2003-04-06 14:49:34 UTC
Description of problem:
-----------------------
Many people run mysql on the same machine as the web server, and thus don't need
external networking enabled at ALL.  A service that is turned off is always more
secure than a service that's turned on.

Mysql comes by default with:
   * no root pasword
   * external network enabled
   * a variety of default accounts


Proposed solution (for /etc/my.cnf):
------------------------------------
If you'd add a commented-out "skip networking" line in /etc/my.cnf, more people
would discover how to turn off networking:  

[mysqld]
datadir=/var/lib/mysql
socket=/var/lib/mysql/mysql.sock
#skip-networking

[mysql.server]
user=mysql
basedir=/var/lib
#skip-networking

[safe_mysqld]
err-log=/var/log/mysqld.log
pid-file=/var/run/mysqld/mysqld.pid
#skip-networking

Comment 1 Patrick Macdonald 2003-04-07 13:02:08 UTC
Bug opened twice. Marking it as dup of 88133.

*** This bug has been marked as a duplicate of 88133 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:52:30 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.